org.eclipse.net4j.util.om.monitor

## Class ProgressDistributor.Geometric

- java.lang.Object
- - org.eclipse.net4j.util.om.monitor.ProgressDistributor
  - - org.eclipse.net4j.util.om.monitor.ProgressDistributor.Geometric

- Enclosing class:
    ProgressDistributor

      public static class ProgressDistributor.Geometric
      extends ProgressDistributor

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.om.monitor.ProgressDistributor

      `ProgressDistributor.Arithmetic, ProgressDistributor.Geometric`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Geometric()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `distribute(double[] distribution, double[] times)`

    - ### Methods inherited from class org.eclipse.net4j.util.om.monitor.ProgressDistributor

      `array, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Geometric

          public Geometric()

  - ### Method Detail

    - #### distribute

          protected void distribute(double[] distribution,
                                    double[] times)

      Specified by:
        `distribute` in class `ProgressDistributor`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html